## bottlerocket 0.05b3

=== debian/changelog ===
bottlerocket (0.05b3-22) unstable; urgency=medium

  * upload test with debusine
  * debian/po: add ca.po (Closes: #1102430)
               (thanks to Carles Pina i Estany for the translation)
  * debian/control: remove debconf version constraint (Closes: #1096109)
               (thanks to Gioele Barabucci for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Apr 2025 15:08:21 +0200

bottlerocket (0.05b3-21) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * add debian/gbp.conf
  * add hardening.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Dec 2024 19:08:21 +0100

bottlerocket (0.05b3-20) unstable; urgency=medium

  * debian/control: change Rules-Requires-Root: to binary-targets
                    (Closes: #1077333)
                    Thanks a lot to Adrian to tell me about this before
                    I take notice!

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jul 2024 20:07:41 +0200

bottlerocket (0.05b3-19) unstable; urgency=medium

  * fix ftbfs with gcc-14 (Closes: #1074852)
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/control: add Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Jul 2024 22:07:41 +0200

bottlerocket (0.05b3-18) unstable; urgency=medium

  * debian/control: use dh13
  * debian/control: bump standard to 4.5.0 (no changes)
  * no upstream development so use fake watch file from Eriberto

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Nov 2020 16:07:41 +0100

bottlerocket (0.05b3-17) sid; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: add salsa URLs
  * debian/control: replace prio extra by optional
  * debian/bottlerocket.udev: add udev rules file for ttyS0
                              (Closes: #498657)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Feb 2019 19:07:41 +0100

bottlerocket (0.05b3-16) unstable; urgency=medium

  * new maintainer (Closes: #837113)
  * debian/control: use debhelper 10
  * debian/control: bump standard to 3.9.8
  * debian/rules: add targets build-arch and build-indep
  * debian/rules: add hardening flags
  * debian/config,postinst: take care of -e
  * introduce source format "3.0 (quilt)"

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Feb 2017 15:07:41 +0100

bottlerocket (0.05b3-15) unstable; urgency=medium

  * Orphaning.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 08 Sep 2016 14:07:41 -0400

bottlerocket (0.05b3-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #627718
    - Polish (Michał Kułach).  Closes: #660095
    - Slovak (Ivan Masár).  Closes: #661131
    - Italian (Beatrice Torracca).  Closes: #661170
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #661178

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Feb 2012 10:06:40 +0100

bottlerocket (0.05b3-14) unstable; urgency=low

  * Added new Japanese translation (ja.po). Closes: #553032
  * Added new Swedish translation (sv.po). Closes: #503599
  * Remove unneeded line in debian/bottlerocket that creates empty directory
    in /usr/share/bottlerocket/doc. Add command in debian/postint to test and
    remove that empty directory if found.
  * Fixed copyright symbols in debian/copyright.
  * Bumped Standards-Version to 3.8.3. No changes.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 16 Dec 2009 08:48:28 -0500

bottlerocket (0.05b3-13) unstable; urgency=low

  * Added new Dutch translation (nl.po). Closes: #449408
  * debian/control:
    + Moved Homepage out of extended description.
    + Bumped Standards-Version to 3.7.3. No changes.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 24 Feb 2008 21:56:16 -0500

bottlerocket (0.05b3-12) unstable; urgency=low

  * Added new Portuguese translation (pt.po). Closes: #436956

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 14 Aug 2007 13:42:28 -0400

bottlerocket (0.05b3-11) unstable; urgency=low

  * New e-mail address for maintainer. Changed in debian/control and
    debian/copyright.
  * debian/rules - Changed a couple clean rules. Cleaned up some cruft.
  * Removed debian/postrm, which violates Policy 10.6 by removing a device
    file when a user purges the package.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 08 Aug 2007 21:19:02 -0400

bottlerocket (0.05b3-10) unstable; urgency=low

  * Update Spanish translation (es.po).  Closes: #419210

 -- Kevin Coyner <kevin@rustybear.com>  Sun, 15 Apr 2007 19:05:05 -0400

bottlerocket (0.05b3-9) unstable; urgency=low

  * Update Russian translation (ru.po).  Closes: #404431

 -- Kevin Coyner <kevin@rustybear.com>  Sun, 24 Dec 2006 21:22:23 -0500

bottlerocket (0.05b3-8) unstable; urgency=low

  * Add German, Czech and French translations (de.po, cs.po and fr.po).
    Closes: #396434, #393534, #382583
  * Add call to debconf-updatepo in debian/rules clean target to automatically
    regenerate templates.pot and translation files.
  * Update to Standards-Version 3.7.2.2.
  * Add build-dependency of po-debconf to debian/control.
  * Small change in clean target in debian/rules.

 -- Kevin Coyner <kevin@rustybear.com>  Wed,  6 Dec 2006 08:40:53 -0500

bottlerocket (0.05b3-7) unstable; urgency=low

  * New maintainer.  Closes: #357503
  * Standards Version: 3.7.2
  * debian/control: Improved description and references to wish.  Closes: #265850
  * debian/control: Added autotools-dev to Build-Depends
  * debhelper compat level increased to 5
  * Switched to gettext-based debconf templates.
    Thanks to Christian Perrier.  Closes: #205769
  * Added French translation for debconf.  Closes: #206736
  * debian/rules: Complete new version of rules used.
  * Incorporated old patch from Feb 2000 into source code (br.c) since
    upstream has not released anything in a long time.
  * debian/README.Debian:  spelling correction.
  * Old bugs fixed by NMU.  Closes: #322817, #331766


