=== debian/control ===
Source: bottlerocket
Section: electronics
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, po-debconf
	, autoconf
Standards-Version: 4.7.0
Homepage: http://www.linuxha.com/bottlerocket/
Vcs-Browser: https://salsa.debian.org/alteholz/bottlerocket
Vcs-Git: https://salsa.debian.org/alteholz/bottlerocket.git
Rules-Requires-Root: binary-targets

Package: bottlerocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wish
Description: Utility to control X10 Firecracker devices for home automation
 A command-line utility to interact with the Firecracker version of
 X10's home control devices (wireless home automation to control lights,
 cameras, appliances via a small transmitter that plugs into the standard
 RS-232 serial port of a computer).
 .
 Also included is rocket launcher, a graphical frontend to bottlerocket.
 If you want this functionality you should have wish (tk8.3 or tk8.4 - the
 Tcl/Tk interpreter) installed.
