=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#CFLAGS = -Wall -g

CFLAGS += -D_FORTIFY_SOURCE=2
LDFLAGS += -z now

config.status: configure
	dh_testdir
	ln -sf /usr/share/misc/config.sub config.sub
	ln -sf /usr/share/misc/config.guess config.guess
	rm -f config.cache

	# Add here commands to configure the package.
	autoupdate
	dh_autoreconf
	#./configure CFLAGS="\"$(CFLAGS)\"" LDFLAGS="$(LDFLAGS)" --prefix=/usr --mandir=\$${prefix}/share/man  --with-x10port=/dev/firecracker
	-CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --mandir=\$${prefix}/share/man  --with-x10port=/dev/firecracker \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
	cat configure

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) really_clean
	find \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	dh_autoreconf_clean
	dh_clean
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/bottlerocket.
	$(MAKE) install prefix=$(CURDIR)/debian/bottlerocket/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
	dh_install rocket_launcher usr/bin
	dh_installmenu
	dh_installdebconf
	dh_installman
	dh_installudev
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
